Interface ServerEndpointBuilderFactory.ServerBuilders
-
- All Known Subinterfaces:
EndpointBuilderFactory
- All Known Implementing Classes:
EndpointRouteBuilder,EndpointRouteConfigurationBuilder
- Enclosing interface:
- ServerEndpointBuilderFactory
public static interface ServerEndpointBuilderFactory.ServerBuilders
-
-
Method Summary
All Methods Instance Methods Default Methods Modifier and Type Method Description default ServerEndpointBuilderFactory.ServerHeaderNameBuilderiec60870Server()IEC 60870 Server (camel-iec60870) IEC 60870 supervisory control and data acquisition (SCADA) server using NeoSCADA implementation.default ServerEndpointBuilderFactory.ServerEndpointBuilderiec60870Server(String path)IEC 60870 Server (camel-iec60870) IEC 60870 supervisory control and data acquisition (SCADA) server using NeoSCADA implementation.default ServerEndpointBuilderFactory.ServerEndpointBuilderiec60870Server(String componentName, String path)IEC 60870 Server (camel-iec60870) IEC 60870 supervisory control and data acquisition (SCADA) server using NeoSCADA implementation.
-
-
-
Method Detail
-
iec60870Server
default ServerEndpointBuilderFactory.ServerHeaderNameBuilder iec60870Server()
IEC 60870 Server (camel-iec60870) IEC 60870 supervisory control and data acquisition (SCADA) server using NeoSCADA implementation. Category: iot Since: 2.20 Maven coordinates: org.apache.camel:camel-iec60870- Returns:
- the dsl builder for the headers' name.
-
iec60870Server
default ServerEndpointBuilderFactory.ServerEndpointBuilder iec60870Server(String path)
IEC 60870 Server (camel-iec60870) IEC 60870 supervisory control and data acquisition (SCADA) server using NeoSCADA implementation. Category: iot Since: 2.20 Maven coordinates: org.apache.camel:camel-iec60870 Syntax:iec60870-server:uriPathPath parameter: uriPath (required) The object information address- Parameters:
path- uriPath- Returns:
- the dsl builder
-
iec60870Server
default ServerEndpointBuilderFactory.ServerEndpointBuilder iec60870Server(String componentName, String path)
IEC 60870 Server (camel-iec60870) IEC 60870 supervisory control and data acquisition (SCADA) server using NeoSCADA implementation. Category: iot Since: 2.20 Maven coordinates: org.apache.camel:camel-iec60870 Syntax:iec60870-server:uriPathPath parameter: uriPath (required) The object information address- Parameters:
componentName- to use a custom component name for the endpoint instead of the default namepath- uriPath- Returns:
- the dsl builder
-
-